Bug 1480585 - Bug in nova specfile that prevents it from building successfully [NEEDINFO]
Bug in nova specfile that prevents it from building successfully
Status: ON_DEV
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
11.0 (Ocata)
All All
low Severity low
: ---
: ---
Assigned To: Sahid Ferdjaoui
Joe H. Rahme
: Triaged
Depends On:
Blocks: ciscoosp11bugs 1401639
  Show dependency treegraph
 
Reported: 2017-08-11 08:29 EDT by Ganesh Kadam
Modified: 2018-02-08 14:05 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
apevec: needinfo? (gkadam)


Attachments (Terms of Use)
build of rhos11 (1.01 MB, text/plain)
2017-08-22 05:21 EDT, Sahid Ferdjaoui
no flags Details
packages (31.55 KB, text/plain)
2017-08-23 08:33 EDT, Sahid Ferdjaoui
no flags Details

  None (edit)
Description Ganesh Kadam 2017-08-11 08:29:37 EDT
Description of problem:

There appears to be a bug in the rhelosp-nova specfile that prevents it from building successfully. The error from rpmbuild/mock is:

~~~
creating build/lib/nova/CA
error: can't copy 'nova/CA/.gitignore': doesn't exist or not a regular file
~~~

Cu have recreated this locally with:

~~~
git clone git@github.com:metacloud/rhelosp-nova.git        
cd rhelosp-nova/rpm
wget https://tarballs.openstack.org/nova/nova-15.0.6.tar.gz
cd ..
mock -r cisco-rhel7-osp11 --buildsrpm --spec rpm/openstack-nova.spec --sources rpm
mv /var/lib/mock/cisco.el-7-x86_64/result/openstack-nova-15.0.6-3.el7.src.rpm ~/rpmbuild/SRPMS 
mock -r cisco-rhel7-osp11 --rebuild ~/rpmbuild/SRPMS/openstack-nova-15.0.6-3.el7.src.rpm
~~~

Note that the specific mock chroot configuration is irrelevant here; any mock chroot that has access to all of the BuildRequires will be able to reproduce the failure.

This failure doesn't occur with any of the other RHEL OSP components we've rebuilt in the same environment on the same infrastructure; it is unique to Nova.
Comment 1 Sahid Ferdjaoui 2017-08-18 11:27:53 EDT
We where not able to reproduce the issue on our last packages. Can you please provide more information of where the spec are coming from and reproducer?
Comment 5 Sahid Ferdjaoui 2017-08-22 05:21 EDT
Created attachment 1316564 [details]
build of rhos11

I just attached the result of my build.
Comment 13 Sahid Ferdjaoui 2017-08-23 08:33 EDT
Created attachment 1317074 [details]
packages
Comment 19 Sahid Ferdjaoui 2017-09-12 03:24:34 EDT
That needs for to be merged on RDO master

   https://review.rdoproject.org/r/9435

Note You need to log in before you can comment on or make changes to this bug.